OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKBinL
BinTools

# BinTools_Curve2dSet Class Reference

Stores a set of Curves from Geom2d in binary format
.

`#include <BinTools_Curve2dSet.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | BinTools_Curve2dSet ()
| Returns an empty set of Curves. .
Standard_EXPORT void | Clear ()
| Clears the content of the set. .
Standard_EXPORT Standard_Integer | Add (const Handle(Geom2d_Curve)&C)
| Incorporate a new Curve in the set and returns its index. .
Standard_EXPORT Handle_Geom2d_Curve | Curve2d (const Standard_Integer I) const
| Returns the Curve of index . .
Standard_EXPORT Standard_Integer | Index (const Handle(Geom2d_Curve)&C) const
| Returns the index of <l>. .
Standard_EXPORT void | Dump (Standard_OStream &OS) const
| Dumps the content of me on the stream <os>. .
Standard_EXPORT void | Write (Standard_OStream &OS) const
| Writes the content of me on the stream <os> in a format that can be read back by Read. .
Standard_EXPORT void | Read (Standard_IStream &IS)
| Reads the content of me from the stream <is>. me is first cleared. .
## Static Public Member Functions
static Standard_EXPORT void | WriteCurve2d (const Handle(Geom2d_Curve)&C, Standard_OStream &OS)
| Dumps the curve on the binary stream, that can be read back. .
static Standard_EXPORT Standard_IStream & | ReadCurve2d (Standard_IStream &IS, Handle(Geom2d_Curve)&C)
| Reads the curve from the stream. The curve is assumed to have been written with the Write method. .
## Private Attributes
TColStd_IndexedMapOfTransient | myMap

## Constructor & Destructor Documentation

Standard_EXPORT BinTools_Curve2dSet::BinTools_Curve2dSet | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer BinTools_Curve2dSet::Add | ( | const Handle(Geom2d_Curve)& | C | ) |

Standard_EXPORT void BinTools_Curve2dSet::Clear | ( |  | ) |

Standard_EXPORT Handle_Geom2d_Curve BinTools_Curve2dSet::Curve2d | ( | const Standard_Integer | I | ) | const

Standard_EXPORT void BinTools_Curve2dSet::Dump | ( | Standard_OStream & | OS | ) | const

Standard_EXPORT Standard_Integer BinTools_Curve2dSet::Index | ( | const Handle(Geom2d_Curve)& | C | ) | const

void BinTools_Curve2dSet::operator delete | ( | void * | anAddress | ) | `[inline]`

void* BinTools_Curve2dSet::operator new | ( | size_t | size | ) | `[inline]`

void* BinTools_Curve2dSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void BinTools_Curve2dSet::Read | ( | Standard_IStream & | IS | ) |

static Standard_EXPORT Standard_IStream& BinTools_Curve2dSet::ReadCurve2d | ( | Standard_IStream & | IS,
|  | Handle(Geom2d_Curve)& | C
| ) | `[static]`

Standard_EXPORT void BinTools_Curve2dSet::Write | ( | Standard_OStream & | OS | ) | const

static Standard_EXPORT void BinTools_Curve2dSet::WriteCurve2d | ( | const Handle(Geom2d_Curve)& | C,
|  | Standard_OStream & | OS
| ) | `[static]`

## Field Documentation

TColStd_IndexedMapOfTransient BinTools_Curve2dSet::myMap`[private]`

The documentation for this class was generated from the following file:

- BinTools_Curve2dSet.hxx